Package com.collibra.dgc.core.api.model.meta.type

# Interface ComplexRelationAttributeType

All Superinterfaces:
  `Entity`, `Resource`, `Serializable`

public interface ComplexRelationAttributeType extends Resource
Represents a complex relation attribute type.

Complex relation attribute type contains information about the attribute type that can be assigned to the complex relation along with editability and boundaries on accepted number of occurrences.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AttributeType`
  `getAttributeType()`
  Returns the attribute type that can be assigned to the complex relation.
  `Integer`
  `getMaximumOccurrences()`
  Returns how many times the assigned attribute may be added to the resource.
  `int`
  `getMinimumOccurrences()`
  Returns how many times at least the assigned attribute must be added to the resource.
  `boolean`
  `isReadOnly()`
  Deprecated.
  This method will be removed in the future.

  ### Methods inherited from interface Entity

  `getId, setId`

  ### Methods inherited from interface Resource

  `getCreatedBy, getCreatedOn, getLastModifiedBy, getLastModifiedOn, getResourceType, isSystem`

- ## Method Details

  - ### getMinimumOccurrences

    int getMinimumOccurrences()
    Returns how many times at least the assigned attribute must be added to the resource. Zero means no restriction.
    Returns:
      the number of minimum occurrences of the attribute

  - ### getMaximumOccurrences

    Integer getMaximumOccurrences()
    Returns how many times the assigned attribute may be added to the resource. Null means no restriction.
    Returns:
      number of maximum occurrences of the attribute

  - ### isReadOnly

    @Deprecated boolean isReadOnly()
    Deprecated.
    This method will be removed in the future. The field has been removed.
    Returns whether the characteristic value of the assigned type can be edited by the user or not.
    Returns:
      true if the attribute value is readOnly, false otherwise

  - ### getAttributeType

    AttributeType getAttributeType()
    Returns the attribute type that can be assigned to the complex relation.
    Returns:
      the attribute type that can be assigned to the complex relation